Subject: Re: Fw: building from scratch, a cygwin enviroment
From: John Jones <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Thu, 29 Nov 2001 13:48:17 +0000

ok

one question where is the postinstall shell script located in the source?

and how do you currently setup the mount points ?

regards

john jones

Robert Collins wrote:

> Woops! My turn to send private by mistake.
> 
> Rob
> ===
> ----- Original Message -----
> From: "Robert Collins" <[email-masked]>
> To: "John Jones" <[email-masked]>
> Sent: Thursday, November 29, 2001 10:28 PM
> Subject: Re: building from scratch, a cygwin enviroment
> 
> 
> 
>>----- Original Message -----
>>From: "John Jones" <[email-masked]>
>>
>>>hey
>>>
>>>thanks again for the quick response (-;
>>>
>>No probs.
>>
>>
>>>right I cant use setup.exe from the cygwin env we use VISE to do
>>>
>>various
>>
>>>things (don't flame me that's the way life is I am not interested in
>>>
>>this)
>>
>>I'm not going to flame you, I'll stick to pity. Cygwin used to use
>>
> VISE
> 
>>a long time back, and the custom setup.exe was created to install and
>>maintain the mount tree, amongst other things. (I'm not talking about
>>the GUI version either). So you've got an uphill battle in front of
>>
> you.
> 
>>>the real thing is collecting all the sources into a tree and
>>>
> building
> 
>>>that source tree
>>>
>>>so that they can be distributed on a CD
>>>
>>>I wondered if anyone has done this before and had anything to share
>>>
> ?
> 
>>Nothing specific, a full CVS checkout of the winsup tree should work
>>
> for
> 
>>the cygwin1.dll and it's sources, but you'll need to grab all the
>>sources for all the other utilities you choose to include. And they
>>almost certainly won't build in a single tree, so you'll probably want
>>to turn to the BSD ports system for inspiration.
>>
>>Rob
>>
>>
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/